de.esprit.netsuite.server.chreq

## Class RequestDispatcher

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<ServerContext>
      - - de.esprit.netsuite.server.chreq.RequestDispatcher

- All Implemented Interfaces:
    ApplicationObject<ServerContext>, SimpleLogSupport, Dumpable, RequestHandler<ServerContext>, ServerObject<ServerContext>

      public class RequestDispatcher
      extends AbstractServerObject<ServerContext>
      implements RequestHandler<ServerContext>

  This class dispatches the incoming request to the responsible `RequestHandler` based on the type of the request. The request is actually handled by a thread in the `RequestServiceThreadPool`.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestDispatcher(ServerContext serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `NetResponse` | `handleRequest(NetRequest request, NetResponse response)`

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `checkPermission, getServerConfig, getServerContext, getStatisticManager, toString`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.netsuite.server.ServerObject

      `getServerContext`

- - ### Constructor Detail

    - #### RequestDispatcher

          public RequestDispatcher(ServerContext serverCtx)

  - ### Method Detail

    - #### handleRequest

          public NetResponse handleRequest(NetRequest request,
                                  NetResponse response)

      Specified by:
        `handleRequest` in interface `RequestHandler<ServerContext>`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.